<?php

namespace App\Services\Customer;

use App\Entities\Customer\CouponEntity;
use App\Models\Customer\CouponModel;
use CodeIgniter\HTTP\IncomingRequest;

class CouponService extends CustomerService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Coupon');
    }
    public function getModelClass(): CouponModel
    {
        return new CouponModel();
    }
    public function getEntityClass(): CouponEntity
    {
        return new CouponEntity();
    }
    public function getFormFields(): array
    {
        return [
            "clientinfo_uid",
            "status",
            "title",
            "amount",
        ];
    }
    public function getFilterFields(): array
    {
        return ["clientinfo_uid", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
}
